Method: projects.locations.dataStores.documents.get

Gets a Document.

HTTP request

GET https://vectorsearch.googleapis.com/v1beta/{name}

Path parameters

Parameters
name

string

Required. The name of the Document resource. Format: projects/{project}/locations/{location}/dataStores/{dataStore}/documents/{document}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Document.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/vectorsearch
  • https://www.googleapis.com/auth/vectorsearch.readonly

For more information, see the Authentication Overview.